/*
 * Copyright (C) 2000 Robert Fitzsimons
 */

#ifndef _ujvm_basetypes_h
#define _ujvm_basetypes_h

#include <stdarg.h>
#include <stddef.h>

typedef signed long int kint;
typedef signed char kint8;
typedef signed short int kint16;
typedef signed long int kint32;
typedef signed long long int kint64;

typedef unsigned long int kuint;
typedef unsigned char kuint8;
typedef unsigned short int kuint16;
typedef unsigned long int kuint32;
typedef unsigned long long int kuint64;

typedef long double kfloat;
typedef float kfloat32;
typedef double kfloat64;

#endif /* _ujvm_basetypes_h */

